package com.ruoyi.file.request;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class CommonAttachReq extends RuralCollectiveAssetsBaseReq
{
    public static final String REDIRECT_URI = "/file/common/attach";

    @NotBlank(message = "文件分类不能为空")
    private String bizPath;
    @NotBlank(message = "文件表名不能为空")
    private String tableName;
    @NotNull(message = "文件表ID不能为空")
    private Long   tableId;

    private String fileType;
}
